<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.index.mapper.IndexSMapper">

	<resultMap type="IndexS" id="IndexSResult">
		<result property="id" column="id" />
		<result property="name" column="name" />
		<result property="squery" column="squery" />
		<result property="sumcol" column="sumcol" />
		<result property="delFlag" column="del_flag" />
		<result property="sort" column="sort" />
		<result property="unit" column="unit" />
		<result property="sample" column="sample" />
		<result property="createBy" column="create_by" />
		<result property="createTime" column="create_time" />
		<result property="updateBy" column="update_by" />
		<result property="updateTime" column="update_time" />
		<result property="remark" column="remark" />
	</resultMap>

	<sql id="selectIndexSVo">
		select id, name, squery, sumcol,unit, del_flag, sort,
		sample, create_by,
		create_time, update_by, update_time, remark from
		index_s
	</sql>

	<select id="selectIndexSList" parameterType="IndexS"
		resultMap="IndexSResult">
		<include refid="selectIndexSVo" />
		<where>
			<if test="name != null  and name != ''"> and name like concat('%', #{name}, '%')</if>
		</where>
		order by create_time
	</select>

	<select id="selectIndexSById" parameterType="Long"
		resultMap="IndexSResult">
		<include refid="selectIndexSVo" />
		where id = #{id}
	</select>

	<select id="selectIndexSByName" parameterType="String"
		resultMap="IndexSResult">
		<include refid="selectIndexSVo" />
		where name = #{name}
	</select>

	<insert id="insertIndexS" parameterType="IndexS"
		useGeneratedKeys="true" keyProperty="id">
		insert into index_s
		<trim prefix="(" suffix=")" suffixOverrides=",">
			<if test="name != null">name,</if>
			<if test="squery != null">squery,</if>
			<if test="sumcol != null">sumcol,</if>
			<if test="unit != null">unit,</if>
			<if test="delFlag != null">del_flag,</if>
			<if test="sort != null">sort,</if>
			<if test="sample != null">sample,</if>
			<if test="createBy != null">create_by,</if>
			<if test="createTime != null">create_time,</if>
			<if test="updateBy != null">update_by,</if>
			<if test="updateTime != null">update_time,</if>
			<if test="remark != null">remark,</if>
		</trim>
		<trim prefix="values (" suffix=")" suffixOverrides=",">
			<if test="name != null">#{name},</if>
			<if test="squery != null">#{squery},</if>
			<if test="sumcol != null">#{sumcol},</if>
			<if test="unit != null">#{unit},</if>
			<if test="delFlag != null">#{delFlag},</if>
			<if test="sort != null">#{sort},</if>
			<if test="sample != null">#{sample},</if>
			<if test="createBy != null">#{createBy},</if>
			<if test="createTime != null">#{createTime},</if>
			<if test="updateBy != null">#{updateBy},</if>
			<if test="updateTime != null">#{updateTime},</if>
			<if test="remark != null">#{remark},</if>
		</trim>
	</insert>

	<update id="updateIndexS" parameterType="IndexS">
		update index_s
		<trim prefix="SET" suffixOverrides=",">
			<if test="name != null">name = #{name},</if>
			<if test="squery != null">squery = #{squery},</if>
			<if test="sumcol != null">sumcol = #{sumcol},</if>
			<if test="unit != null">unit = #{unit},</if>
			<if test="delFlag != null">del_flag = #{delFlag},</if>
			<if test="sort != null">sort = #{sort},</if>
			<if test="sample != null">sample = #{sample},</if>
			<if test="createBy != null">create_by = #{createBy},</if>
			<if test="createTime != null">create_time = #{createTime},</if>
			<if test="updateBy != null">update_by = #{updateBy},</if>
			<if test="updateTime != null">update_time = #{updateTime},</if>
			<if test="remark != null">remark = #{remark},</if>
		</trim>
		where id = #{id}
	</update>

	<delete id="deleteIndexSById" parameterType="Long">
		delete from index_s
		where id = #{id}
	</delete>

	<delete id="deleteIndexSByIds" parameterType="String">
		delete from index_s where id in
		<foreach item="id" collection="array" open="(" separator=","
			close=")">
			#{id}
		</foreach>
	</delete>

</mapper>